# Uses of Class
org.springframework.test.web.reactive.server.EntityExchangeResult

Packages that use EntityExchangeResult
Package
Description
org.springframework.test.web.reactive.server
Support for testing Spring WebFlux server endpoints via `WebTestClient`.

## Uses of EntityExchangeResult in org.springframework.test.web.reactive.server

Methods in org.springframework.test.web.reactive.server that return EntityExchangeResult
Modifier and Type
Method
Description
`EntityExchangeResult<Void>`
WebTestClient.BodyContentSpec.`isEmpty()`
Assert the response body is empty and return the exchange result.
`EntityExchangeResult<byte[]>`
WebTestClient.BodyContentSpec.`returnResult()`
Exit the chained API and return an `ExchangeResult` with the raw response content.
`EntityExchangeResult<B>`
WebTestClient.BodySpec.`returnResult()`
Exit the chained API and return an `ExchangeResult` with the decoded response content.
Method parameters in org.springframework.test.web.reactive.server with type arguments of type EntityExchangeResult
Modifier and Type
Method
Description
`WebTestClient.BodyContentSpec`
WebTestClient.BodyContentSpec.`consumeWith(Consumer<EntityExchangeResult<byte[]>> consumer)`
Assert the response body content with the given `Consumer`.
`<T extends S>
T`
WebTestClient.BodySpec.`consumeWith(Consumer<EntityExchangeResult<B>> consumer)`
Assert the exchange result with the given `Consumer`.
`WebTestClient.Builder`
WebTestClient.Builder.`entityExchangeResultConsumer(Consumer<EntityExchangeResult<?>> consumer)`
Configure an `EntityExchangeResult` callback that is invoked every time after a response is fully decoded to a single entity, to a List of entities, or to a byte[].